Bug 6927 - A Loadleveler LRM for GRAM5 should be very welcome
: A Loadleveler LRM for GRAM5 should be very welcome
Status: RESOLVED WONTFIX
: GRAM
gt2 Gatekeeper/Jobmanager
: development
: Other Linux
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2010-01-25 08:56 by
Modified: 2012-09-12 10:06 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-01-25 08:56:17
The new GRAM5 in Globus Toolkit 5 doesn't support Loadleveler yet. How can I
submit jobs to Loadleveler from GT 5? 


Regards,
Rob v.d. Wal
------- Comment #1 From 2010-02-03 08:39:16 -------
Hello,

Is someone reading these tickets? Can you respond? Thanks.

Regards,
Rob v.d. Wal
------- Comment #2 From 2010-02-03 11:19:18 -------
Hi - sorry for the delay.

gram has not provided a gram adapter interface for loadleveler for some time. 
IBM did write one and included it in certain versions e.g. 3.3.1.
http://bugzilla.mcs.anl.gov/globus/show_bug.cgi?id=4170

I don't know the details of what is included in the IBM release.  For sure,
they supported GRAM4, but I don't know if that also worked for GRAM2.  If they
support GRAM2 too, then it should work for GRAM5.  Maybe consult their docs /
ask IBM.

It could be that getting submissions with job status via polling using llq will
work for GRAM5.  But, I think it will take some additional work to get the job
status via the scheduler event generator (SEG) functional.  Using GRAM5 and
polling should scale and work fine.  Using the SEG can provide additional
performance improvements.
------- Comment #3 From 2010-02-12 04:27:27 -------
Hello,

Thanks for your response. IBM is only supporting GRAM4 so I think the IBM
interface is not usable fro GRAM5. I'm not quite sure but if you say that
polling with GRAM5 should work do you mean that I first submit a job with GRAM5
to Loadleveler and then use GRAM5 to query Loadleveler for completion of this
job? Is there some documentation about this? And is there also documentation
about how to use the SEG?

Regards,
Rob v.d. Wal
------- Comment #4 From 2010-02-12 10:39:38 -------
GRAM LRM doc is here.  It looks like we still need to do some updates to remove
ws gram details, but it is still useful for GRAM5.

http://www.globus.org/toolkit/docs/5.0/5.0.0/execution/gram5/developer/scheduler-tutorial.html

Take a look at the first 2 links on the above page.

By default GRAM5 will use the polling method for monitoring job status.  That
has been in place for a long time.  I bet IBM has implemented the polling
method in their LL gram perl adapter interface.  That should work fine with
GRAM5.
------- Comment #5 From 2010-02-18 08:40:12 -------
Thanks for the inforamtion. I think this is exactly what I'm looking for. I
will try to get it working.
------- Comment #6 From 2012-09-12 10:06:35 -------
We've migrated our issue tracking software to jira.globus.org. Any new issues
should be added here:

http://jira.globus.org/secure/VersionBoard.jspa?selectedProjectId=10363

As this issue hasn't been commented on in several years, we're closing it. If
you feel it is still relevant, please add it to jira.